CREATE VIEW imw_v_matter
AS
SELECT LEFT(CONVERT(VARCHAR,apply_month,111),7) as year_month,
       SUM(count_actv_matter) AS count_actv_matter,
       SUM(count_cpl_matter) AS count_cpl_matter
FROM 
(
 SELECT 
     LEFT(CONVERT(VARCHAR,apply_base_date,111),7) AS apply_month,
     COUNT(system_matter_id) AS count_actv_matter,
     0 AS count_cpl_matter
 FROM 
     imw_t_actv_matter
  GROUP BY apply_base_date
 
UNION ALL
 SELECT 
     LEFT(CONVERT(VARCHAR,apply_base_date,111),7) AS apply_month,
     0 AS count_actv_matter,
     COUNT(system_matter_id) AS count_cpl_matter
 FROM 
     imw_t_cpl_matter
 GROUP BY apply_base_date
) AS UNION_VIEW
GROUP BY apply_month;
